Change my entity mod to 1.18.1 ?

Started by cayote on Wed, 12/29/2021 - 18:25

Topic category: Help with modding (Java Edition)

Last seen on 18:02, 4. Jan 2022
Joined Dec 2021
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
Change my entity mod to 1.18.1 ?
Wed, 12/29/2021 - 18:25

I made a simple tameable mob mod. Works in the test client and all that, but I want to change it to 1.18.1 as that's the version I just put together a mod pack for. I realize there isn't 1.18 support yet, but I was wondering if there was some way I could change it externally.

I looked in mods.toml and the mcmeta and I see the forge version, version range, and pack format need to change, but I assume there's more to it than only changing that text.

I just got Eclipse today and am willing to use that to change it, but I have no clue how.

Last seen on 18:44, 17. May 2022
Joined Jul 2021
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
No you can't without some…
Wed, 12/29/2021 - 21:24

No you can't without some serious work

Last seen on 18:02, 4. Jan 2022
Joined Dec 2021
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
What would that serious work…
Thu, 12/30/2021 - 02:28

What would that serious work look like exactly ? Not sure if I'd be able to do it, but I'd at least like to know how it works.